require(["gitbook", "jQuery"], function(gitbook, $) {
    let configs = null
    gitbook.events.bind('start', function(e, configs){
        configs = configs['custom-header'] || {};
        configs && initHeader(configs);
    });

    gitbook.events.bind('page.change', function () {
        configs = gitbook.state.config.pluginsConfig['custom-header'] || {}
        configs && initHeader(configs)
    });

    // 初始化header
    function initHeader(_configs) {
        if($('.head').length > 0){
            return;
        }
        let template = '<div class="head"><div class="head_box">'
        if (_configs.logo) {//添加logo
            template += `
                <h1 class="logo">
                    <a href="javascript:;" title="${_configs['logo_alt']}" style="background:url(${_configs['logo']}) no-repeat;font:16px #777 bold;">
                        明源云移动PaaS
                    </a>
                </h1>
            `;
        }
        let activeIndex = 0
        if (_configs.navigations && _configs.navigations.length > 0) {//添加导航
            template += '<div class="header_ctrls"><ul class="top_nav">';
            let isSelected = '';
            const curPath = window.location.href;
            const _len = _configs.navigations.length;
            for (let i = 0; i < _len; i++) {
                let _item = _configs.navigations[i];
                _item['current'] = _item['current'] || false;
                isSelected = _item['current'] == true ? 'selected' : '';
                template += `
                    <li class="top_nav_item ${isSelected}" id="${_item.id}">
                        <a href="${_item.link}">${_item.title}</a>
                    </li>
                `;
            }
            template += '</ul></div>';
        }
        template += '</div></div>';
        if (window.document.body.offsetWidth > 500) {
            $('.book').addClass('with-header').prepend(template);
        }
    }

});